summaryrefslogtreecommitdiff
path: root/09_testing2/run_all.sh
diff options
context:
space:
mode:
Diffstat (limited to '09_testing2/run_all.sh')
-rwxr-xr-x09_testing2/run_all.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/09_testing2/run_all.sh b/09_testing2/run_all.sh
new file mode 100755
index 0000000..e62c149
--- /dev/null
+++ b/09_testing2/run_all.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+run_test(){
+ prog="$1"
+ testfile="$2"
+ IFS=$'\n'
+ for line in `cat $testfile`
+ do
+ IFS=" " correct=`/usr/local/l2p/match5/correct-match5 $line 2>&1`
+ IFS=" " broken=`$prog $line 2>&1`
+ if [ "$broken" != "$correct" ]
+ then
+ return 0
+ fi
+ done
+ return 1
+}
+
+found=0
+notfound=0
+for i in /usr/local/l2p/match5/match5-*
+do
+ run_test $i tests.txt
+ x="$?"
+ if [ "$x" != "0" ]
+ then
+ echo "Your test cases did not identify the problem with `basename $i`"
+ let notfound=${notfound}+1
+ else
+ let found=${found}+1
+ fi
+done
+echo "Test cases identified $found problems"
+echo "Test cases failed to identify $notfound problems"